Bug 809598 - local analyzing coredump not work
local analyzing coredump not work
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
:
: 876155 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-03 14:10 EDT by Mikhail
Modified: 2014-01-21 18:21 EST (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 03:53:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
citrus-it-centos.repo (208 bytes, text/plain)
2012-04-03 14:10 EDT, Mikhail
no flags Details

  None (edit)
Description Mikhail 2012-04-03 14:10:11 EDT
Created attachment 574923 [details]
citrus-it-centos.repo

Description of problem:

Analyze ended with follow error:

--- Running analyze_LocalGDB ---
Analyzing coredump 'coredump'
Coredump references 144 debuginfo files, 30 of them are not installed
Can't download debuginfos: Error accessing file for config file://///etc/yum.repos.d/citrus-it-centos.repo
(exited with 1)


citrus-it-centos.repo is my local repository refers to local hard disk.
Comment 1 Jiri Moskovcak 2012-04-04 03:35:31 EDT
Thera are 2 possible problems:

1. either selinux is blocking abrt access to /etc/yum.repos.d/citrus-it-centos.repo

2. or abrt can't access the repository in your home, because it runs as user abrt:abrt

- either way, abrt should be able to deal with this situation and I have a fix for this, before the update gets to Fedora you need to either fix the permissions on that repo file (and consider moving the repository itself outside your $HOME) or remove it if you want to use abrt
Comment 2 Jiri Moskovcak 2012-04-04 03:37:18 EDT
chmod 0644 /etc/yum.repos.d/citrus-it-centos.repo should do the trick
Comment 3 Jiri Moskovcak 2012-04-04 04:13:03 EDT
So my patch doesn't work as it turned out this problem is on yum side. Apparently YumBase.repos.listEnabled() doesn't survive inaccessible repo file.

How to reproduce:
1. chmod 0600 /etc/yum.repos/<somefile>.repo
2. as non-root run $ yum repolist

-> reassigning to yum
Comment 4 Mikhail 2012-04-04 13:12:04 EDT
yum repolist under non-root user is worked...

mikhail@p5k:~$ yum repolist
Loaded plugins: langpacks, presto, priorities, refresh-packagekit
citrus-it-fedora                                         | 2.9 kB     00:00 ... 
fedora/metalink                                          |  14 kB     00:00     
fedora                                                   | 4.2 kB     00:00     
fedora/group_gz                                          | 426 kB     00:00     
google-chrome                                            |  951 B     00:00     
google-chrome/primary                                    | 1.4 kB     00:00     
rpmfusion-free                                           | 1.2 kB     00:00     
rpmfusion-free-updates                                   | 1.2 kB     00:00     
rpmfusion-free-updates-testing                           | 3.3 kB     00:00     
rpmfusion-free-updates-testing/primary_db                | 172 kB     00:00     
rpmfusion-nonfree                                        | 1.2 kB     00:00     
rpmfusion-nonfree-updates                                | 1.2 kB     00:00     
rpmfusion-nonfree-updates-testing                        | 3.3 kB     00:00     
updates/metalink                                         |  28 kB     00:00     
updates-testing/metalink                                 |  22 kB     00:00     
updates-testing                                          | 4.5 kB     00:00     
updates-testing/primary_db                               | 3.6 MB     00:01     
updates-testing/group_gz                                 | 426 kB     00:00     
google-chrome                                                               3/3
60 packages excluded due to repository priority protections
repo id                           repo name                            status
citrus-it-fedora                  citrus-it repo                              41
fedora                            Fedora 17 - i386                     21,245+30
google-chrome                     google-chrome                                3
rpmfusion-free                    RPM Fusion for Fedora 17 - Free            343
rpmfusion-free-updates            RPM Fusion for Fedora 17 - Free - Up         0
rpmfusion-free-updates-testing    RPM Fusion for Fedora 17 - Free - Te       145
rpmfusion-nonfree                 RPM Fusion for Fedora 17 - Nonfree         159
rpmfusion-nonfree-updates         RPM Fusion for Fedora 17 - Nonfree -         0
rpmfusion-nonfree-updates-testing RPM Fusion for Fedora 17 - Nonfree -        68
updates                           Fedora 17 - i386 - Updates                   0
updates-testing                   Fedora 17 - i386 - Test Updates       5,334+30
repolist: 27,338
mikhail@p5k:~$
Comment 5 Fedora Admin XMLRPC Client 2012-04-27 11:24:20 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Zdeněk Pavlas 2012-11-13 09:28:38 EST
*** Bug 876155 has been marked as a duplicate of this bug. ***
Comment 7 Fedora End Of Life 2013-07-03 22:16:20 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-08-01 03:53:09 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.